> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developer.deel.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer.deel.com/_mcp/server.

# Approve an IT order

POST https://api.letsdeel.com/rest/it/orders/{order_id}/approve

Approves an order that is currently awaiting approval, moving it to approved status, creating assignments for its approved items, and starting fulfilment. Use this once an order has been submitted and is pending manager approval, before fulfilment can begin.

 **Token scopes**: `it-orders:write`

 **Beta**: this version requires the `X-Beta: true` request header and its contract may change before it is promoted to stable. It is scheduled to become stable on 2026-12-30.

Reference: https://developer.deel.com/api/reference/endpoints/it-orders/approve-it-order-v-2026-09-30

## Authentication

- `Authorization` header (bearer token, required) — ## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
- `Authorization` header (bearer token, required) — Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

## Servers

- `https://api.letsdeel.com/rest` (Production, default)
- `https://api-staging.letsdeel.com/rest` (Demo)

## Request

### Path parameters

- `order_id` (string, required) — Unique identifier of the IT order

## Response

### 200

OK

- `data` (ItOrdersOrderIdApprovePostResponsesContentApplicationJsonSchemaData, required)

## Errors

### 400 Bad Request Error

Bad Request

- `errors` (list of ItOrdersOrderIdApprovePostResponsesContentApplicationJsonSchemaErrorsItems, required)

### 401 Unauthorized Error

Unauthorized

- `errors` (list of ItOrdersOrderIdApprovePostResponsesContentApplicationJsonSchemaErrorsItems, required)

### 403 Forbidden Error

Forbidden

- `errors` (list of ItOrdersOrderIdApprovePostResponsesContentApplicationJsonSchemaErrorsItems, required)

### 404 Not Found Error

Not Found

- `errors` (list of ItOrdersOrderIdApprovePostResponsesContentApplicationJsonSchemaErrorsItems, required)

### 409 Conflict Error

Conflict

- `errors` (list of ItOrdersOrderIdApprovePostResponsesContentApplicationJsonSchemaErrorsItems, required)

### 500 Internal Server Error

Internal Server Error

- `errors` (list of ItOrdersOrderIdApprovePostResponsesContentApplicationJsonSchemaErrorsItems, required)

## Types

### ItOrdersOrderIdApprovePostResponsesContentApplicationJsonSchemaData

- `id` (string, required) — Unique identifier of the order
- `user` (ItOrdersOrderIdApprovePostResponsesContentApplicationJsonSchemaDataUser, required, nullable) — Details of the user with asset possession
- `status` (enum, required) — Order status
  - Allowed values: `APPROVED`, `CANCELLED`, `DECLINED`, `REQUESTED`
- `public_id` (string, required) — Public identifier of the order
- `created_at` (string, required) — Creation timestamp of the order
- `updated_at` (string, required) — Last update timestamp of the order
- `order_items` (list of ItOrdersOrderIdApprovePostResponsesContentApplicationJsonSchemaDataOrderItemsItems, required) — Order's items details
- `delivery_address` (ItOrdersOrderIdApprovePostResponsesContentApplicationJsonSchemaDataDeliveryAddress, required) — Order delivery address details

### ItOrdersOrderIdApprovePostResponsesContentApplicationJsonSchemaErrorsItems

- `code` (string, required) — Error code of the handler which produced the returned error
- `field` (string, required, nullable) — The field name where input validation failed
- `message` (string, required) — Description of the returned error

### ItOrdersOrderIdApprovePostResponsesContentApplicationJsonSchemaDataUser

Details of the user with asset possession

- `emails` (list of string, required) — Array of user email addresses
- `address` (ItOrdersOrderIdApprovePostResponsesContentApplicationJsonSchemaDataUserAddress, required) — User address details
- `last_name` (string, required) — Last name of the user
- `first_name` (string, required) — First name of the user
- `hris_profile_id` (string, required) — The unique identifier of the HRIS profile of the assigned user

### ItOrdersOrderIdApprovePostResponsesContentApplicationJsonSchemaDataOrderItemsItems

- `id` (string, required) — Unique identifier of the order item
- `status` (enum, required) — Status of the order item
  - Allowed values: `AWAITING_PAYMENT`, `CANCELLED`, `COMPLETED`, `PLACED`, `PROCESSING`, `READY_TO_SHIP`, `SHIPPED`
- `product` (ItOrdersOrderIdApprovePostResponsesContentApplicationJsonSchemaDataOrderItemsItemsProduct, required) — Product details
- `created_at` (string, required) — Creation timestamp of the order item
- `is_approved` (boolean, required) — Is the order item approved
- `pricing_details` (ItOrdersOrderIdApprovePostResponsesContentApplicationJsonSchemaDataOrderItemsItemsPricingDetails, required) — Order item pricing details
- `is_express_delivery_requested` (boolean, required) — Is express delivery requested for the order item

### ItOrdersOrderIdApprovePostResponsesContentApplicationJsonSchemaDataDeliveryAddress

Order delivery address details

- `id` (string, required) — Unique identifier of the address
- `city` (string, required, nullable) — City name
- `type` (enum, required) — Type of the address
  - Allowed values: `BILLING`, `COLLECTION`, `DELIVERY`, `ENTITY`, `PARTIAL`, `PII`, `SUPPLIER`
- `line1` (string, required, nullable) — Address line 1
- `line2` (string, required, nullable) — Address line 2
- `state` (string, required, nullable) — State code or name
- `country` (enum, required) — Country code
  - Allowed values: `AD`, `AE`, `AF`, `AG`, `AI`, `AL`, `AM`, `AN`, `AO`, `AQ`, `AR`, `AS`, `AT`, `AU`, `AW`, `AX`, `AZ`, `BA`, `BB`, `BD`, `BE`, `BF`, `BG`, `BH`, `BI`, `BJ`, `BL`, `BM`, `BN`, `BO`, `BQ`, `BR`, `BS`, `BT`, `BV`, `BW`, `BY`, `BZ`, `CA`, `CC`, `CD`, `CF`, `CG`, `CH`, `CI`, `CK`, `CL`, `CM`, `CN`, `CO`, `CR`, `CU`, `CV`, `CW`, `CX`, `CY`, `CZ`, `DE`, `DJ`, `DK`, `DM`, `DO`, `DZ`, `EC`, `EE`, `EG`, `EH`, `ER`, `ES`, `ET`, `FI`, `FJ`, `FK`, `FM`, `FO`, `FR`, `GA`, `GB`, `GD`, `GE`, `GF`, `GG`, `GH`, `GI`, `GL`, `GM`, `GN`, `GP`, `GQ`, `GR`, `GS`, `GT`, `GU`, `GW`, `GY`, `HK`, `HM`, `HN`, `HR`, `HT`, `HU`, `IC`, `ID`, `IE`, `IL`, `IM`, `IN`, `IO`, `IQ`, `IR`, `IS`, `IT`, `JE`, `JM`, `JO`, `JP`, `KE`, `KG`, `KH`, `KI`, `KM`, `KN`, `KP`, `KR`, `KW`, `KY`, `KZ`, `LA`, `LB`, `LC`, `LI`, `LK`, `LR`, `LS`, `LT`, `LU`, `LV`, `LY`, `MA`, `MC`, `MD`, `ME`, `MF`, `MG`, `MH`, `MK`, `ML`, `MM`, `MN`, `MO`, `MP`, `MQ`, `MR`, `MS`, `MT`, `MU`, `MV`, `MW`, `MX`, `MY`, `MZ`, `NA`, `NC`, `NE`, `NF`, `NG`, `NI`, `NL`, `NO`, `NP`, `NR`, `NU`, `NZ`, `OM`, `PA`, `PE`, `PF`, `PG`, `PH`, `PK`, `PL`, `PM`, `PN`, `PR`, `PS`, `PT`, `PW`, `PY`, `QA`, `RE`, `RO`, `RS`, `RU`, `RW`, `SA`, `SB`, `SC`, `SD`, `SE`, `SG`, `SH`, `SI`, `SJ`, `SK`, `SL`, `SM`, `SN`, `SO`, `SR`, `SS`, `ST`, `SV`, `SX`, `SY`, `SZ`, `TC`, `TD`, `TF`, `TG`, `TH`, `TJ`, `TK`, `TL`, `TM`, `TN`, `TO`, `TR`, `TT`, `TV`, `TW`, `TZ`, `UA`, `UG`, `US`, `UY`, `UZ`, `VA`, `VC`, `VE`, `VG`, `VI`, `VN`, `VU`, `WF`, `WS`, `XK`, `YE`, `YT`, `ZA`, `ZM`, `ZW`
- `is_valid` (boolean, required) — Whether the address passes validation
- `post_code` (string, required, nullable) — Post code
- `phone_number` (string, required, nullable) — Phone number
- `date_of_birth` (string, required, nullable) — Date of birth (applicable for some address types)
- `tax_id_number` (string, required, nullable) — Tax ID number (applicable for some address types)
- `passport_number` (string, required, nullable) — Passport number (applicable for some address types)
- `delivery_instructions` (string, required, nullable) — Special instructions for deliveries

### ItOrdersOrderIdApprovePostResponsesContentApplicationJsonSchemaDataUserAddress

User address details

- `id` (string, required) — Unique identifier of the address
- `city` (string, required, nullable) — City name
- `type` (enum, required) — Type of the address
  - Allowed values: `BILLING`, `COLLECTION`, `DELIVERY`, `ENTITY`, `PARTIAL`, `PII`, `SUPPLIER`
- `line1` (string, required, nullable) — Address line 1
- `line2` (string, required, nullable) — Address line 2
- `state` (string, required, nullable) — State code or name
- `country` (enum, required) — Country code
  - Allowed values: `AD`, `AE`, `AF`, `AG`, `AI`, `AL`, `AM`, `AN`, `AO`, `AQ`, `AR`, `AS`, `AT`, `AU`, `AW`, `AX`, `AZ`, `BA`, `BB`, `BD`, `BE`, `BF`, `BG`, `BH`, `BI`, `BJ`, `BL`, `BM`, `BN`, `BO`, `BQ`, `BR`, `BS`, `BT`, `BV`, `BW`, `BY`, `BZ`, `CA`, `CC`, `CD`, `CF`, `CG`, `CH`, `CI`, `CK`, `CL`, `CM`, `CN`, `CO`, `CR`, `CU`, `CV`, `CW`, `CX`, `CY`, `CZ`, `DE`, `DJ`, `DK`, `DM`, `DO`, `DZ`, `EC`, `EE`, `EG`, `EH`, `ER`, `ES`, `ET`, `FI`, `FJ`, `FK`, `FM`, `FO`, `FR`, `GA`, `GB`, `GD`, `GE`, `GF`, `GG`, `GH`, `GI`, `GL`, `GM`, `GN`, `GP`, `GQ`, `GR`, `GS`, `GT`, `GU`, `GW`, `GY`, `HK`, `HM`, `HN`, `HR`, `HT`, `HU`, `IC`, `ID`, `IE`, `IL`, `IM`, `IN`, `IO`, `IQ`, `IR`, `IS`, `IT`, `JE`, `JM`, `JO`, `JP`, `KE`, `KG`, `KH`, `KI`, `KM`, `KN`, `KP`, `KR`, `KW`, `KY`, `KZ`, `LA`, `LB`, `LC`, `LI`, `LK`, `LR`, `LS`, `LT`, `LU`, `LV`, `LY`, `MA`, `MC`, `MD`, `ME`, `MF`, `MG`, `MH`, `MK`, `ML`, `MM`, `MN`, `MO`, `MP`, `MQ`, `MR`, `MS`, `MT`, `MU`, `MV`, `MW`, `MX`, `MY`, `MZ`, `NA`, `NC`, `NE`, `NF`, `NG`, `NI`, `NL`, `NO`, `NP`, `NR`, `NU`, `NZ`, `OM`, `PA`, `PE`, `PF`, `PG`, `PH`, `PK`, `PL`, `PM`, `PN`, `PR`, `PS`, `PT`, `PW`, `PY`, `QA`, `RE`, `RO`, `RS`, `RU`, `RW`, `SA`, `SB`, `SC`, `SD`, `SE`, `SG`, `SH`, `SI`, `SJ`, `SK`, `SL`, `SM`, `SN`, `SO`, `SR`, `SS`, `ST`, `SV`, `SX`, `SY`, `SZ`, `TC`, `TD`, `TF`, `TG`, `TH`, `TJ`, `TK`, `TL`, `TM`, `TN`, `TO`, `TR`, `TT`, `TV`, `TW`, `TZ`, `UA`, `UG`, `US`, `UY`, `UZ`, `VA`, `VC`, `VE`, `VG`, `VI`, `VN`, `VU`, `WF`, `WS`, `XK`, `YE`, `YT`, `ZA`, `ZM`, `ZW`
- `is_valid` (boolean, required) — Whether the address passes validation
- `post_code` (string, required, nullable) — Post code
- `phone_number` (string, required, nullable) — Phone number
- `date_of_birth` (string, required, nullable) — Date of birth (applicable for some address types)
- `tax_id_number` (string, required, nullable) — Tax ID number (applicable for some address types)
- `passport_number` (string, required, nullable) — Passport number (applicable for some address types)
- `delivery_instructions` (string, required, nullable) — Special instructions for deliveries

### ItOrdersOrderIdApprovePostResponsesContentApplicationJsonSchemaDataOrderItemsItemsProduct

Product details

- `id` (string, required) — Unique identifier of the product
- `name` (string, required) — Product name
- `brand` (string, required) — Product brand
- `category` (enum, required) — Product category
  - Allowed values: `ADAPTER`, `CABLE`, `CHAIR`, `CHARGER`, `COMPACT_DESKTOP`, `DESK`, `DESKTOP`, `DESK_RISER`, `DESK_TIDY`, `DOCKING_STATION`, `DONGLE`, `FOOTREST`, `HEADSET`, `KEYBOARD`, `LAPTOP`, `LAPTOP_STAND`, `MICE_TRACKPAD`, `MOBILE_DEVICE`, `MONITOR`, `MONITOR_ARM`, `OTHER`, `PRINTER`, `SHREDDER`, `STANDING_MAT`, `TABLET`, `TASK_LIGHT`, `WEBCAM`, `WELCOME_PACK`, `WIFI_RANGE_EXTENDER`

### ItOrdersOrderIdApprovePostResponsesContentApplicationJsonSchemaDataOrderItemsItemsPricingDetails

Order item pricing details

- `asset_price` (ItOrdersOrderIdApprovePostResponsesContentApplicationJsonSchemaDataOrderItemsItemsPricingDetailsAssetPrice, required, nullable) — Price of the order item
- `storefront_fee` (ItOrdersOrderIdApprovePostResponsesContentApplicationJsonSchemaDataOrderItemsItemsPricingDetailsStorefrontFee, required, nullable) — Storefront fee associated with the order item
- `acquisition_type` (enum, required) — Acquisition type of the order item
  - Allowed values: `PURCHASE`, `RENTAL`, `REUSE`

### ItOrdersOrderIdApprovePostResponsesContentApplicationJsonSchemaDataOrderItemsItemsPricingDetailsAssetPrice

Price of the order item

- `amount` (string, required) — Amount
- `currency` (enum, required) — Three-letter currency code for the price
  - Allowed values: `AED`, `AFN`, `ALL`, `AMD`, `ANG`, `AOA`, `ARS`, `AUD`, `AWG`, `AZN`, `BAM`, `BDT`, `BGN`, `BHD`, `BIF`, `BMD`, `BOB`, `BRL`, `BSD`, `BTN`, `BWP`, `BYN`, `BZD`, `CAD`, `CDF`, `CHF`, `CLP`, `CNY`, `COP`, `CRC`, `CUC`, `CVE`, `CZK`, `DJF`, `DKK`, `DOP`, `DZD`, `EGP`, `ERN`, `ETB`, `EUR`, `FJD`, `FKP`, `GBP`, `GEL`, `GHS`, `GIP`, `GMD`, `GNF`, `GTQ`, `GYD`, `HKD`, `HNL`, `HRK`, `HTG`, `HUF`, `IDR`, `ILS`, `INR`, `IQD`, `IRR`, `ISK`, `JMD`, `JOD`, `JPY`, `KES`, `KGS`, `KHR`, `KMF`, `KPW`, `KRW`, `KWD`, `KYD`, `KZT`, `LAK`, `LBP`, `LKR`, `LRD`, `LSL`, `LTL`, `LYD`, `MAD`, `MDL`, `MGA`, `MKD`, `MMK`, `MNT`, `MRU`, `MUR`, `MVR`, `MWK`, `MXN`, `MYR`, `MZN`, `NAD`, `NGN`, `NIO`, `NOK`, `NPR`, `NZD`, `OMR`, `PAB`, `PEN`, `PGK`, `PHP`, `PKR`, `PLN`, `PYG`, `QAR`, `RON`, `RSD`, `RUB`, `RWF`, `SAR`, `SBD`, `SCR`, `SDG`, `SEK`, `SGD`, `SHP`, `SLL`, `SOS`, `SRD`, `SSP`, `STD`, `SYP`, `SZL`, `THB`, `TJS`, `TMT`, `TND`, `TOP`, `TRY`, `TTD`, `TWD`, `TZS`, `UAH`, `UGX`, `USD`, `UYU`, `UZS`, `VEF`, `VND`, `VUV`, `WST`, `XAF`, `XCD`, `XOF`, `XPF`, `YER`, `ZAR`, `ZMW`, `ZWD`

### ItOrdersOrderIdApprovePostResponsesContentApplicationJsonSchemaDataOrderItemsItemsPricingDetailsStorefrontFee

Storefront fee associated with the order item

- `amount` (string, required) — Amount
- `currency` (enum, required) — Three-letter currency code for the price
  - Allowed values: `AED`, `AFN`, `ALL`, `AMD`, `ANG`, `AOA`, `ARS`, `AUD`, `AWG`, `AZN`, `BAM`, `BDT`, `BGN`, `BHD`, `BIF`, `BMD`, `BOB`, `BRL`, `BSD`, `BTN`, `BWP`, `BYN`, `BZD`, `CAD`, `CDF`, `CHF`, `CLP`, `CNY`, `COP`, `CRC`, `CUC`, `CVE`, `CZK`, `DJF`, `DKK`, `DOP`, `DZD`, `EGP`, `ERN`, `ETB`, `EUR`, `FJD`, `FKP`, `GBP`, `GEL`, `GHS`, `GIP`, `GMD`, `GNF`, `GTQ`, `GYD`, `HKD`, `HNL`, `HRK`, `HTG`, `HUF`, `IDR`, `ILS`, `INR`, `IQD`, `IRR`, `ISK`, `JMD`, `JOD`, `JPY`, `KES`, `KGS`, `KHR`, `KMF`, `KPW`, `KRW`, `KWD`, `KYD`, `KZT`, `LAK`, `LBP`, `LKR`, `LRD`, `LSL`, `LTL`, `LYD`, `MAD`, `MDL`, `MGA`, `MKD`, `MMK`, `MNT`, `MRU`, `MUR`, `MVR`, `MWK`, `MXN`, `MYR`, `MZN`, `NAD`, `NGN`, `NIO`, `NOK`, `NPR`, `NZD`, `OMR`, `PAB`, `PEN`, `PGK`, `PHP`, `PKR`, `PLN`, `PYG`, `QAR`, `RON`, `RSD`, `RUB`, `RWF`, `SAR`, `SBD`, `SCR`, `SDG`, `SEK`, `SGD`, `SHP`, `SLL`, `SOS`, `SRD`, `SSP`, `STD`, `SYP`, `SZL`, `THB`, `TJS`, `TMT`, `TND`, `TOP`, `TRY`, `TTD`, `TWD`, `TZS`, `UAH`, `UGX`, `USD`, `UYU`, `UZS`, `VEF`, `VND`, `VUV`, `WST`, `XAF`, `XCD`, `XOF`, `XPF`, `YER`, `ZAR`, `ZMW`, `ZWD`

## Examples

**Response**

```json
{
  "data": {
    "id": "550e8400-e29b-41d4-a716-446655440000",
    "user": {
      "emails": [
        "bruce.wayne@wayne-enterprise.com",
        "batman@gotham.com"
      ],
      "address": {
        "id": "550e8400-e29b-41d4-a716-446655440000",
        "city": "Gotham",
        "type": "DELIVERY",
        "line1": "1007 Mountain Drive",
        "line2": "Stately Wayne Manor",
        "state": "New Jersey",
        "country": "US",
        "is_valid": true,
        "post_code": "12345",
        "phone_number": "+1-212-456-7890",
        "date_of_birth": "1997-12-18",
        "tax_id_number": "BAT123456",
        "passport_number": "P123456789",
        "delivery_instructions": "Use the Bat-Signal if urgent"
      },
      "last_name": "Wayne",
      "first_name": "Bruce",
      "hris_profile_id": "550e8400-e29b-41d4-a716-446655440000"
    },
    "status": "REQUESTED",
    "public_id": "ORD-550E8400",
    "created_at": "2025-08-08T09:49:01.000Z",
    "updated_at": "2025-08-08T09:49:01.000Z",
    "order_items": [
      {
        "id": "7c9e6679-7425-40de-944b-e07fc1f90ae7",
        "status": "SHIPPED",
        "product": {
          "id": "550e8400-e29b-41d4-a716-446655440000",
          "name": "MacBook Pro",
          "brand": "Apple",
          "category": "LAPTOP"
        },
        "created_at": "2025-08-08T09:49:01.000Z",
        "is_approved": false,
        "pricing_details": {
          "asset_price": {
            "amount": "1999.99",
            "currency": "EUR"
          },
          "storefront_fee": {
            "amount": "1999.99",
            "currency": "EUR"
          },
          "acquisition_type": "PURCHASE"
        },
        "is_express_delivery_requested": true
      }
    ],
    "delivery_address": {
      "id": "550e8400-e29b-41d4-a716-446655440000",
      "city": "Gotham",
      "type": "DELIVERY",
      "line1": "1007 Mountain Drive",
      "line2": "Stately Wayne Manor",
      "state": "New Jersey",
      "country": "US",
      "is_valid": true,
      "post_code": "12345",
      "phone_number": "+1-212-456-7890",
      "date_of_birth": "1997-12-18",
      "tax_id_number": "BAT123456",
      "passport_number": "P123456789",
      "delivery_instructions": "Use the Bat-Signal if urgent"
    }
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.letsdeel.com/rest/it/orders/123e4567-e89b-12d3-a456-426614174000/approve"

headers = {"Authorization": "Bearer <token>"}

response = requests.post(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.letsdeel.com/rest/it/orders/123e4567-e89b-12d3-a456-426614174000/approve';
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.letsdeel.com/rest/it/orders/123e4567-e89b-12d3-a456-426614174000/approve"

	req, _ := http.NewRequest("POST", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.letsdeel.com/rest/it/orders/123e4567-e89b-12d3-a456-426614174000/approve")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.letsdeel.com/rest/it/orders/123e4567-e89b-12d3-a456-426614174000/approve")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.letsdeel.com/rest/it/orders/123e4567-e89b-12d3-a456-426614174000/approve', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.letsdeel.com/rest/it/orders/123e4567-e89b-12d3-a456-426614174000/approve");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.letsdeel.com/rest/it/orders/123e4567-e89b-12d3-a456-426614174000/approve")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```